Commit history
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/git/log"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/git/log \
--header 'Authorization: Bearer <token>'{
"commits": [
{
"sha": "<string>",
"author_name": "<string>",
"author_email": "<string>",
"date": "<string>",
"message": "<string>"
}
]
}Git
Commit history
GET
/
v1
/
machines
/
{id}
/
git
/
log
Commit history
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/git/log"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/git/log \
--header 'Authorization: Bearer <token>'{
"commits": [
{
"sha": "<string>",
"author_name": "<string>",
"author_email": "<string>",
"date": "<string>",
"message": "<string>"
}
]
}Authorizations
API key passed as Bearer token
Path Parameters
Machine ID (e.g. mch_a1b2c3d4)
Query Parameters
Maximum number of commits to return.
Required range:
x >= 1Response
200 - application/json
Commit list
Show child attributes
Show child attributes